Package be.ehealth.technicalconnector.ws.domain

# Enum Class HandlerPosition

java.lang.Object
java.lang.Enum<HandlerPosition>
be.ehealth.technicalconnector.ws.domain.HandlerPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<HandlerPosition>`, `java.lang.constant.Constable`

public enum HandlerPosition extends Enum<HandlerPosition>
Enumartion contains the differents handlers positions

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTER`
  Handlers After Security
  `BEFORE`
  Handlers Before Security
  `SECURITY`
  Handlers within Security

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `static HandlerPosition`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HandlerPosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BEFORE

    public static final HandlerPosition BEFORE
    Handlers Before Security

  - ### SECURITY

    public static final HandlerPosition SECURITY
    Handlers within Security

  - ### AFTER

    public static final HandlerPosition AFTER
    Handlers After Security

- ## Method Details

  - ### values

    public static HandlerPosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HandlerPosition valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Returns:
      the name